%define gem_dir %(ruby -rrbconfig -e 'puts File::expand_path(File::join(Config::CONFIG["sitedir"],"..","gems"))')
%define rb_ver %(ruby -rrbconfig -e 'puts Config::CONFIG["ruby_version"]')
%define gem_home %{gem_dir}/%{rb_ver}
%define ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%define repoid 60718

Summary: The Ruby standard for packaging ruby libraries
Name: rubygems
Version: 1.5.2
Release: 1%{?dist}
Group: Development/Libraries
# No GPL version is specified.
License: Ruby or GPL+
URL: http://rubyforge.org/projects/rubygems/
Source0: http://rubyforge.org/frs/download.php/%{repoid}/rubygems-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
Requires: ruby(abi) = 1.8 
BuildRequires:  ruby
BuildArch: noarch
Provides: ruby(rubygems) = %{version}

%description
RubyGems is the Ruby standard for publishing and managing third party
libraries.

%prep
%setup -q

# Some of the library files start with #! which rpmlint doesn't like
# and doesn't make much sense
for f in `find lib -name \*.rb` ; do
  head -1 $f | grep -q '^#!/usr/bin/env ruby' && sed -i -e '1d' $f
done


%build
# Nothing

%install
rm -rf $RPM_BUILD_ROOT
GEM_HOME=%{buildroot}/%{gem_home} \
    ruby setup.rb --prefix=/ \
        --no-rdoc --no-ri \
        --destdir=%{buildroot}/%{ruby_sitelib}/

mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}/%{ruby_sitelib}/bin/gem %{buildroot}/%{_bindir}/gem
rm -rf %{buildroot}/%{ruby_sitelib}/bin
mv %{buildroot}/%{ruby_sitelib}/lib/* %{buildroot}/%{ruby_sitelib}/.
# create a symlink for gem in /usr/bin
mkdir -p %{buildroot}/usr/bin
cd %{buildroot}/usr/bin
ln -s ../../opt/freeware/bin/gem .

# Because of an AIX ruby bug, it's best to leave out rdoc and ri in gems
mkdir -p %{buildroot}/etc
echo "---" > %{buildroot}/etc/gemrc
echo "gem: --no-rdoc --no-ri" >> %{buildroot}/etc/gemrc




%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc README ChangeLog History.txt GPL.txt LICENSE.txt
%{_bindir}/gem
%{ruby_sitelib}/*
/usr/bin/gem
/etc/gemrc


%changelog
* Fri Feb 26 2010 Michael Stahnke  <stahnma@fedoraproject.org> - 1.3.6-1
- Initial Package for AIX

* Tue Feb 15 2010 Michael Stahnke  <stahnma@fedoraproject.org> - 1.5.2-1
- New version
